  {-------------------------------------------------------------------------}
  {---------------------- FORMULAR S PREDLOHAMI ----------------------------}

{*
 * EditWebs is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EditWebs is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with EditWebs. If not, see <http://www.gnu.org/licenses/>.
 *}

unit predlohy;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls;

type

  { TfmPredlohy }

  TfmPredlohy = class(TForm)
    btnZrusit: TBitBtn;
    btnVlozitZPredlohy: TBitBtn;
    lbxPredlohy: TListBox;
    procedure btnVlozitZPredlohyClick(Sender: TObject);
    procedure btnZrusitClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure lbxPredlohyDblClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fmPredlohy: TfmPredlohy;

implementation

uses
  Hlavne;

{ TfmPredlohy }

procedure TfmPredlohy.btnVlozitZPredlohyClick(Sender: TObject);
var
  vyber: string;
  Subor: TStringList;
begin
  if fmPredlohy.lbxPredlohy.ItemIndex <> -1 then begin
    vyber := fmPredlohy.lbxPredlohy.Items[fmPredlohy.lbxPredlohy.ItemIndex];
    Subor := TStringList.Create;
    Subor.LoadFromFile('templates\'+vyber+KONC_PREDLOHY);
    F.Kod.Lines.Text := Subor.Text;
    fmPredlohy.Close;
  end;
end;

procedure TfmPredlohy.btnZrusitClick(Sender: TObject);
begin
  fmPredlohy.Close;
end;

procedure TfmPredlohy.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  F.Enabled := true; // hlavny formular bude povoleny, nie je nad nim ziadne okno
  F.ShowOnTop;
  F.Kod.SetFocus;
end;

procedure TfmPredlohy.FormCreate(Sender: TObject);
var
  Vysledky: TSearchRec;
  najdene: string;
begin
  if FindFirst('templates/*'+KONC_PREDLOHY,faAnyFile,Vysledky) = 0 then begin
  // ak bol najdeny aspon 1 dany subor
    repeat
      najdene := LeftStr(Vysledky.Name,Length(Vysledky.Name)-Length(KONC_PREDLOHY));
      fmPredlohy.lbxPredlohy.Items.Add(najdene);
    until FindNext(Vysledky) <> 0;
    fmPredlohy.lbxPredlohy.ItemIndex := 0;
  end;
end;

procedure TfmPredlohy.lbxPredlohyDblClick(Sender: TObject);
begin
  fmPredlohy.btnVlozitZPredlohyClick(Sender);
end;

initialization
  {$I predlohy.lrs}

end.

