  {-------------------------------------------------------------------------}
  {------------------------------ JAZYKY -----------------------------------}
  
{*
 * EditWebs is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EditWebs is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with EditWebs. If not, see <http://www.gnu.org/licenses/>.
 *}
  
var
  txCisloRiadku: string = 'slo riadku:';
  txChExternaChyba: string = 'Extern chyba.';
  txChGrafickaChyba: string = 'Grafick chyba.';
  txChChybaPamate: string = 'Chyba operanej pamte. Pravdepodobne nie je dostatok pamte pre tento program. Skste zatvori nepouvan programy.';
  txChChybaPristupu: string = 'Chyba prstupu alebo in chyba aplikcie. Ak sa teraz program sm neukon, neopakujte, prosm, prve vykonan operciu.'
  +' Aplikcia by pravdepodobne prestala reagova.';
  txChChybaOS: string = 'Chyba operanho systmu. Skste skontrolova sprvnos OS.';
  txChChybaTlace: string = 'Chyba tlae. Skontrolujte, i je sprvne naintalovan a zapojen tlaiare.';
  txChChybaWin32: string = 'Chyba 32-bitovho systmu Windows.';
  txChNemoznoOtvoritSubor: string = 'Nemono otvori sbor. Pravdepodobne neexistuje alebo nie je prstupn.';
  txChNemoznoVytvoritSubor: string = 'Nemono vytvori sbor. Pravdepodobne je len na tanie, zvolili ste pln disk alebo neexistujci prieinok.';
  txChNespravnaOperacia: string = 'Nesprvna opercia. Me by zaprinen pravou okna, ktor neme by aktvne.';
  txChPretecenie: string = 'Preteenie. as aplikcie pravdepodobne nebude do nasledujceho spustenia sprvne fungova. Me tie nasta jej ukonenie.';
  txChVstupnoVystupnaChyba: string = 'Vstupno-vstupn chyba. Dan sbor pravdepodobne neexistuje, nie je prstupn, je len na tanie alebo ste zvolili'
  +' pln disk.';
  txChyba: string = 'Chyba';
  txChZavaznaChyba: string = 'Pravdepodobne zvan chyba. Neopakujte, prosm, prve vykonan operciu. Mohlo by djs k strate dajov. Pokste sa uloi'
  +' svoju prcu.';
  txHladanyText: string = 'hadan text';
  txInformacia: string = 'Informcia';
  txIstNaRiadok: string = 's na riadok...';
  txNaozajNahrad: string = 'Naozaj chcete nahradi star reazec za nov?';
  txNaozajNahradVsetko: string = 'Naozaj chcete nahradi vetky njden texty danm reazcom?';
  txNastavSubReadOnly1: string = 'Niektor sbory s nastaveniami v prieinku "';
  txNastavSubReadOnly2: string = '\settings" maj pravdepodobne atribt Len na tanie (ReadOnly) alebo Systmov sbor (SystemFile). Prosm, zmete ich vlastnosti, '
  +'vymate ich alebo preintalujte program.';
  txNespravneCislo: string = 'Nesprvne slo.';
  txNovySubor: string = 'NovySubor';
  txNovyText: string = 'nov text';
  txOPrograme: string = 'O programe';
  txOtvMaxPocetDok: string = 'Je otvoren maximlny poet dokumentov. Zatvorte, prosm, jeden.';
  txPotvrdenie: string = 'Potvrdenie';
  txPrUlozitSubor: string = 'Prajete si uloi sbor?';
  txPrUlozitSubory: string = 'Prajete si uloi sbor(y)?';
  txRestart: string = 'Retart';
  txRestartTeraz: string = 'Jazyk bol zmenen. Zobraz sa pri alom spusten aplikcie. Prajete si retartova program teraz?';
  txRiadok: string = 'Riadok';
  txStlpec: string = 'Stpec';
  txTextNenajdeny: string = 'Text nebol njden.';
  txTlAno: string = '     no     ';
  txTlNie: string = '     Nie     ';
  txTlNiePreVsetko: string = 'Nie pre vetko';
  txTlOK: string = '     OK     ';
  txTlZrusit: string = '   Zrui   ';
  txVarovanie: string = 'Varovanie';
  txVerzia: string = 'Verzia';

  {-- nacitanie jazykovych premennych --}
procedure Prem(var premenna: string; nazov, anglicky: string);
begin
  premenna := JazSub.ReadString('Premenne',nazov,anglicky);
end;

  {-- nacitanie menu --}
procedure Menu(polozka: TMenuItem; anglicky: string);
begin
  polozka.Caption := JazSub.ReadString('Menu',polozka.Name,anglicky);
end;

  {-- nacitanie popisov komponentov --}
function Komp(nazov, anglicky: string): string;
begin
  Result := JazSub.ReadString('Komponenty',nazov,anglicky);
end;

  {-- zapis textov z jazykoveho suboru - len ak jazyk nie je slovencina --}
procedure NacitatJazyk;
begin
  // jazykove premenne:
  Prem(txCisloRiadku,'CisloRiadku','Line number:');
  Prem(txChExternaChyba,'ExternaChyba','External error.');
  Prem(txChGrafickaChyba,'GrafickaChyba','Graphical error.');
  Prem(txChChybaPamate,'ChybaPamate','Operating memory error. Probably there is'
  +' not enough memory for this program. Try to close unused programs.');
  Prem(txChChybaPristupu,'ChybaPristupu','Access violation. Don''t repeat this action, please.');
  Prem(txChChybaOS,'ChybaOS','Operating system error.');
  Prem(txChChybaTlace,'ChybaTlace','Printer error. Check your printer installation.');
  Prem(txChChybaWin32,'ChybaWin32','Win32 error.');
  Prem(txChNemoznoOtvoritSubor,'NemoznoOtvoritSubor','Can''t open file. Probably it is not accessible.');
  Prem(txChNemoznoVytvoritSubor,'NemoznoVytvoritSubor','Can''t create file. Probably it is read-only.');
  Prem(txChNespravnaOperacia,'NespravnaOperacia','Invalid operation. This can be caused by activating an invalid window.');
  Prem(txChPretecenie,'Pretecenie','Range chceck error.');
  Prem(txChVstupnoVystupnaChyba,'VstupnoVystupnaChyba','I/O error.');
  Prem(txChyba,'Chyba','Error');
  Prem(txChZavaznaChyba,'ZavaznaChyba','Exception. Try to save your work.');
  Prem(txHladanyText,'HladanyText','searched string');
  Prem(txInformacia,'Informacia','Information');
  Prem(txIstNaRiadok,'IstNaRiadok','GoTo Ln...');
  Prem(txNaozajNahrad,'NaozajNahrad','Really replace this string by the newer one?');
  Prem(txNaozajNahradVsetko,'NaozajNahradVsetko','Really replace all strings?');
  Prem(txNastavSubReadOnly1,'NastavSubReadOnly1','Some configuration files in the directory "');
  Prem(txNastavSubReadOnly2,'NastavSubReadOnly2','\settings" have attribute(s) ReadOnly or System. Please change it.');
  Prem(txNespravneCislo,'NespravneCislo','Invalid number.');
  Prem(txNovySubor,'NovySubor','NewFile');
  Prem(txNovyText,'NovyText','new string');
  Prem(txOPrograme,'OPrograme','About...');
  Prem(txOtvMaxPocetDok,'OtvMaxPocetDok','There is maximal count of documents opened. Close one, please.');
  Prem(txPotvrdenie,'Potvrdenie','Confirmation');
  Prem(txPrUlozitSubor,'PrUlozitSubor','Do you want to save the file?');
  Prem(txPrUlozitSubory,'PrUlozitSubory','Do you want to save the file(s)?');
  Prem(txRestart,'Restart','Restart');
  Prem(txRestartTeraz,'RestartTeraz','Language was changed. This will take effect after restart. Do you want to restart the program now?');
  Prem(txRiadok,'Riadok','Line');
  Prem(txStlpec,'Stlpec','Column');
  Prem(txTextNenajdeny,'TextNenajdeny','String wasn''t found.');
  Prem(txTlAno,'TlAno','     Yes     ');
  Prem(txTlNie,'TlNie','     No     ');
  Prem(txTlNiePreVsetko,'TlNiePreVsetko',' No to all ');
  Prem(txTlOK,'TlOK','     OK     ');
  Prem(txTlZrusit,'TlZrusit','   Cancel   ');
  Prem(txVarovanie,'Varovanie','Warning');
  Prem(txVerzia,'Verzia','Version');
  
  // menu:
  Menu(F.mnSubor,'&File');
  Menu(F.mnNovy,'&New');
  Menu(F.mnNovyPredl,'New from &Template...');
  Menu(F.mnOtvorit,'&Open...');
  Menu(F.mnOtvoritNedavny,'Open Recent');
  Menu(F.mnZnovuNacitat,'Revert');
  Menu(F.mnUlozit,'&Save');
  Menu(F.mnUlozitAko,'Save &As...');
  Menu(F.mnUlozitVsetky,'Save All');
  Menu(F.mnNastaveniaTlace,'Printer Setup...');
  Menu(F.mnTlacit,'&Print...');
  Menu(F.mnZastavitTlac,'Abort Printing');
  Menu(F.mnZatvorit,'&Close');
  Menu(F.mnZatvoritVsetky,'Close all');
  Menu(F.mnKoniec,'Exit');
  
  Menu(F.mnUpravy,'&Edit');
  Menu(F.mnSpat,'&Undo');
  Menu(F.mnDopredu,'&Redo');
  Menu(F.mnVystrihnut,'Cut');
  Menu(F.mnKopirovat,'&Copy');
  Menu(F.mnPrilepit,'&Paste');
  Menu(F.mnOznacZatvorkyPriKurzore,'Select Brackets');
  Menu(F.mnOznacitVsetko,'Select &All');
  Menu(F.mnUpravitOznacenyText,'Convert &Selected');
  Menu(F.mnMalePismena,'To &Lowercase');
  Menu(F.mnVelkePismena,'To &Uppercase');
  Menu(F.mnOdsadit,'&Indent');
  Menu(F.mnZrusitOdsadenie,'U&nindent');
  Menu(F.mnZmazat,'Delete');
  Menu(F.mnHladat,'&Find...');
  Menu(F.mnHladatDalej,'Find &Next');
  Menu(F.mnNahradit,'R&eplace...');
  Menu(F.mnIstNaRiadok,'&Go To Line...');
  
  Menu(F.mnZobrazit,'&View');
  Menu(F.mnHlavnyPanelSNastrojmi,'Main Toolbar');
  Menu(F.mnPravyPanel,'Right Toolbar');
  Menu(F.mnPrvyDokument,'First Document');
  Menu(F.mnPredchadzajuciSubor,'Previous File');
  Menu(F.mnStrednyDokument,'Middle Document');
  Menu(F.mnNasledujuciSubor,'Next File');
  Menu(F.mnPoslednyDokument,'Last Document');
  
  Menu(F.mnVlozit,'&Insert');
  Menu(F.mnVlozitTextZoSuboru,'&Text from file...');
  Menu(F.mnVlozitHTML,'&HTML Tag/Attribute...');
  Menu(F.mnVlozitCSS,'&CSS...');
  Menu(F.mnVlozitObjektUdalostScriptov,'&Script...');
  Menu(F.mnVlozitPHP,'&PHP...');
  Menu(F.mnVlozitPoznamku,'Comment...');
  Menu(F.mnVlozitOdkaz,'Anchor...');
  Menu(F.mnVlozitObrazok,'Image...');
  Menu(F.mnVlozitFormular,'Form...');
  Menu(F.mnVlozitTabulku,'Table...');
  Menu(F.mnVlozitMetaInfo,'Meta Informations...');
  
  Menu(F.mnNastroje,'&Tools');
  Menu(F.mnMapaZnakov,'Char&map...');
  Menu(F.mnVyberFarby,'&Colors...');
  Menu(F.mnNastavenia,'&Settings...');
  
  Menu(F.mnNahlad,'&Preview');
  Menu(F.mnSystemovyPrehliadac,'In System Browser');

  Menu(F.mnPomocnik,'&Help');
  Menu(F.mnTemyPomocnika,'Contents');
  Menu(F.mnOPrograme,'About...');

  Menu(F.pmNovy,'New');
  Menu(F.pmUlozit,'Save Actual');
  Menu(F.pmZatvorit,'Close Actual');
  Menu(F.pmZatvoritVsetky,'Close All');
  
  Menu(F.pmSpat,'Undo');
  Menu(F.pmDopredu,'Redo');
  Menu(F.pmVystrihnut,'Cut');
  Menu(F.pmKopirovat,'Copy');
  Menu(F.pmPrilepit,'Paste');
  Menu(F.pmOznacitVsetko,'Select All');
  
  // komponenty:
  F.tbtNovySubor.Hint := Komp('NovySubor','New File');
  F.tbtOtvoritSubor.Hint := Komp('OtvoritSubor','Open File');
  F.tbtUlozitSubor.Hint := Komp('UlozitSubor','Save File');
  F.tbtUlozitAko.Hint := Komp('UlozitAko','Save As...');
  F.tbtZatvoritSubor.Hint := Komp('ZatvoritSubor','Close File');
  F.tbtSpat.Hint := Komp('Spat','Undo');
  F.tbtDopredu.Hint := Komp('Dopredu','Redo');
  F.tbtVystrihnut.Hint := Komp('Vystrihnut','Cut');
  F.tbtKopirovat.Hint := Komp('Kopirovat','Copy');
  F.tbtPrilepit.Hint := Komp('Prilepit','Paste');
  F.tbtHladat.Hint := Komp('Hladat','Find');
  F.tbtNastavenia.Hint := Komp('Nastavenia','Settings');
  F.cmbAktualnyZvyraznovac.Items[0] := Komp('BezZvyraznenia','No Highlighting');
  F.Panely.Tabs[0] := Komp('NovyPanel','NewFile');
  F.btnPrvyPanel.Hint := Komp('PrvyPanel','Go To First Tab');
  F.btnPoslednyPanel.Hint := Komp('PoslednyPanel','Go To Last Tab');

  F.dlgOtvorit.Title := Komp('Otvorit','Open File...');
  F.dlgOtvorit.Filter := Komp('OtvoritFilter','All Files (*.*)|*.*|HTML Files (*.htm;*.html)|*.htm;*.html|PHP(*.php;*.php3;*.php4;*.phtml)|*.php;*.php3;*.php4;*.phtml|JavaScript (*.js;*.jsp)|*.js;*.jsp');
  F.dlgUlozit.Title := Komp('Ulozit','Save File...');
  F.dlgUlozit.Title := Komp('UlozitFilter','All Files (*.*)|*.*');
  F.dlgNacitatPaletu.Title := Komp('VybertePaletu','Select Palette...');
  F.dlgNacitatPaletu.Filter := Komp('VybertePaletuFilter','Pictures (*.bmp;*.jpg;*.jpeg;*.png;*.ico;*.xpm;*.pbm;*.pgm;*.ppm)|*.bmp;*.jpg;*.jpeg;*.png;*.ico;*.xpm;*.pbm;*.pgm;*.ppm');
  
  F.btnObnovitSubory.Caption := Komp('ObnovitSubory','Refresh');
  F.btnHladatDalej.Caption := Komp('HladatDalej','Find Next');
  F.btnNahradit.Caption := Komp('Nahradit','Replace');
  F.btnNahraditVsetko.Caption := Komp('NahraditVsetko','Replace All');
  F.btnNahradVsetkoOdKurzora.Caption := Komp('NahradVsetkoOdKurzora','Replace All From Cursor');
  F.cbHladatRozlisVelkost.Caption := Komp('HladatRozlisVelkost','Match Case');
  F.cbHladatLenCeleSlova.Caption := Komp('HladatLenCeleSlova','Whole Words Only');
  F.cbPotvrditNahradenie.Caption := Komp('PotvrditNahradenie','Ask For Replacing');
  F.rbHladatNadol.Caption := Komp('HladatNadol','Down');
  F.rbHladatNahor.Caption := Komp('HladatNahor','Up');
  
  F.lblHTMLTagy.Caption := Komp('HTMLTagy','(X)HTML Tags');
  F.lblHTMLAtributy.Caption := Komp('HTMLAtributy','(X)HTML Attributes');
  F.btnVlozitTagAtr.Caption := Komp('VlozitTagAtr','Insert Tag+Attr');
  F.cbHTMLVelkePismena.Caption := Komp('HTMLVelkePismena','Uppercase');
  
  F.lblSelektorTriedaID.Caption := Komp('SelektorTriedaID','Selector');
  F.lblPseudo.Caption := Komp('Pseudo','Pseudo-element');
  F.btnCSSSelektor.Caption := Komp('CSSSelektor','Selector');
  F.btnCSSTrieda.Caption := Komp('CSSTrieda','Class');
  F.btnCSSIdentifikator.Caption := Komp('CSSIdentifikator','ID');
  F.lblCSSVlastnosti.Caption := Komp('CSSVlastnosti','CSS Properties');
  F.btnVlozitCSS.Caption := Komp('VlozitCSS','Insert');
  
  F.btnVlozitZoScriptov.Caption := Komp('VlozitZoScriptov','Insert');

  F.btnVlozitPHP.Caption := Komp('VlozitPHP','Insert');
  
  F.lsvZnaky.Columns[0].Caption := Komp('Cislo','Number');
  F.lsvZnaky.Columns[1].Caption := Komp('Znak','Char');
  F.btnVlozitZnak.Caption := Komp('VlozitZnak','Insert Char');
  F.btnVlozitEntitu.Caption := Komp('VlozitEntitu','Insert Entity');
  
  F.btnVlozitFarbu.Caption := Komp('VlozitFarbu','Insert Color');
  F.btnNacitatPaletu.Caption := Komp('NacitatPaletu','Load Palette...');
  
  with fmPredlohy do begin
    Caption := Komp('Predlohy','Templates');
    btnVlozitZPredlohy.Caption := Komp('VlozitZPredlohy','Insert');
    btnZrusit.Caption := Komp('PredlohyZrusit','Cancel');
  end;
  
  with fmVkladat do begin
    Caption := Komp('Vkladat','Insert...');
    btnVlozit.Caption := Komp('Vlozit','Insert');
    btnZrusit.Caption := Komp('VkladatZrusit','Cancel');
    dlgObrazok.Title := Komp('OtvoritSubor','Open File...');
    dlgObrazok.Filter := Komp('ObrazokFilter','Pictures (*.bmp;*.jpg;*.jpeg;*.png;*.ico;*.xpm;*.pbm;*.pgm;*.ppm)|*.bmp;*.jpg;*.jpeg;*.png;*.ico;*.xpm;*.pbm;*.pgm;*.ppm');
  
    tbsPoznamka.Caption := Komp('Poznamka','Comment');
    lblTextPoznamky.Caption := Komp('TextPoznamky','Comment:');
  
    tbsOdkaz.Caption := Komp('Odkaz','Anchor');
    lblCielOdkazu.Caption := Komp('CielOdkazu','Reference:');
    lblTabIndexOdkazu.Caption := Komp('TabIndexOdkazu','TabIndex:');
    cbUrcitTabIndexOdkazu.Caption := Komp('UrcitTabIndexOdkazu','Use');
    lblTitulokOdkazu.Caption := Komp('TitulokOdkazu','Title:');
    lblTextOdkazu.Caption := Komp('TextOdkazu','Text:');
    
    tbsObrazok.Caption := Komp('Obrazok','Image');
    btnNacitatObrazok.Caption := Komp('NacitatObrazok','Load Image...');
    lblSuborObrazka.Caption := Komp('SuborObrazka','FileName:');
    lblSirkaObrazka.Caption := Komp('SirkaObrazka','Width:');
    lblVyskaObrazka.Caption := Komp('VyskaObrazka','Height:');
    lblAltText.Caption := Komp('AltText','Alternative Title:');
    lblTitulokObrazka.Caption := Komp('TitulokObrazka','Title:');
    lblZarovnanieObrazka.Caption := Komp('ZarovnanieObrazka','Alignment:');
    cbRamcekObrazka.Caption := Komp('RamcekObrazka','Border:');
    
    tbsFormular.Caption := Komp('Formular','Form');
    lblSpracovatelForm.Caption := Komp('SpracovatelForm','Action:');
    lblNazovForm.Caption := Komp('NazovForm','Name:');
    lblMetodaForm.Caption := Komp('MetodaForm','Method:');
    lblZakodovanieForm.Caption := Komp('ZakodovanieForm','Content Type:');
    
    tbsTabulka.Caption := Komp('Tabulka','Table');
    lblRiadky.Caption := Komp('Riadky','Rows:');
    lblStlpce.Caption := Komp('Stlpce','Cols:');
    
    tbsMetaInfo.Caption := Komp('MetaInfo','Meta Informations');
    lblPopisStranky.Caption := Komp('PopisStranky','Description:');
    lblKlucoveSlova.Caption := Komp('KlucoveSlova','Keywords:');
    lblAutor.Caption := Komp('Autor','Author:');
    lblKodovanie.Caption := Komp('Kodovanie','Encoding:');
    lblUkladanie.Caption := Komp('Ukladanie','Caching:');
    lblVyprsanie.Caption := Komp('Vyprsanie','Expires:');
    cbPresmerovanie.Caption := Komp('Presmerovanie','Reload:');
    lblPocetSekund.Caption := Komp('PocetSekund','Seconds:');
    cbAdresaPresmerovania.Caption := Komp('AdresaPresmerovania','Addresse:');
  end;
  
  with fmNastav do begin
    Caption := Komp('Nastavenia','Settings');
    btnOK.Caption := Komp('NastavOK','OK');
    btnZrusit.Caption := Komp('NastavZrusit','Cancel');
    btnPouzit.Caption := Komp('NastavPouzit','Apply');
    
    tbsHlavne.Caption := Komp('Hlavne','Main');
    tbsJazyk.Caption := Komp('Jazyk','Language');
    gpbJazykProgramu.Caption := Komp('JazykProgramu','Program Language - Language File');
    tbsOkna.Caption := Komp('Okna','Windows');
    gpbVelkostHlavnehoOkna.Caption := Komp('VelkostHlavnehoOkna','Main Window Size');
    rbZapamatatVelkost.Caption := Komp('ZapamatatVelkost','Remember Size');
    rbVzdySpustatMaximalizovane.Caption := Komp('VzdySpustatMaximalizovane','Always Start Maximized');

    tbsEditor.Caption := Komp('Editor','Editor');
    tbsPismoAFarby.Caption := Komp('PismoAFarby','Font and Colors');
    gpbTypPisma.Caption := Komp('TypPisma','Font Type');
    btnNacitatPismoZDlg.Caption := Komp('NacitatPismoZDlg','Load Font from Dialog...');
    gpbFarby.Caption := Komp('Farby','Colors');
    lblFarbaTextu.Caption := Komp('FarbaTextu','Text Color');
    lblFarbaPozadiaEditora.Caption := Komp('FarbaPozadiaEditora','Editor Background Color');
    lblFarbaOznacenehoTextu.Caption := Komp('FarbaOznacenehoTextu','Selected Text Color');
    lblFarbaPozadiaOznacenehoTextu.Caption := Komp('FarbaPozadiaOznacenehoTextu','Selected Text Background Color');
    gpbNahladPisma.Caption := Komp('NahladPisma','Preview');
    tbsOkrajeAMedzery.Caption := Komp('OkrajeAMedzery','Borders and Margins');
    gpbLavyOkraj.Caption := Komp('LavyOkraj','Gutter');
    cbViditelnyLavyOkraj.Caption := Komp('ViditelnyLavyOkraj','Visible');
    lblFarbaLavehoOkraja.Caption := Komp('FarbaLavehoOkraja','Color:');
    rbNezobrazitCislaRiadkov.Caption := Komp('NezobrazitCislaRiadkov','Don''t Show Line Numbers');
    lblSirkaLavehoOkraja.Caption := Komp('SirkaLavehoOkraja','Width (px):');
    rbZobrazitCislaRiadkov.Caption := Komp('ZobrazitCislaRiadkov','Show Line Numbers');
    lblPocetCislicNaOkraji.Caption := Komp('PocetCislicNaOkraji','Digits Count:');
    cbPrisposobitVelkostOkraja.Caption := Komp('PrisposobitVelkostOkraja','Automatic Size');
    cbZacatNulou.Caption := Komp('ZacatNulou','Start with Zero');
    cbZobrazitZaciatocneNuly.Caption := Komp('ZobrazitZaciatocneNuly','Leading Zeroes');
    gpbPravyOkraj.Caption := Komp('PravyOkraj','Right Margin');
    lblZnakyDoPravehoOkraja.Caption := Komp('ZnakyDoPravehoOkraja','Chars from Left:');
    lblFarbaPravehoOkraja.Caption := Komp('FarbaPravehoOkraja','Color:');
    gpbMedzery.Caption := Komp('Medzery','Spaces');
    lblMedzeryMedziRiadkami.Caption := Komp('MedzeryMedziRiadkami','Extra Line Spacing:');
    
    tbsZvyraznovanie.Caption := Komp('Zvyraznovanie','Highlighting');
    gpbFilterHTML.Caption := Komp('Filter','Filter');
    lblFilterHTML.Caption := Komp('FilterHTML','Use for Extensions: (e.g. htm;html)');
    gpbPismoHTML.Caption := Komp('Pismo','Font');
    lblHTMLFarbaPisma.Caption := Komp('FarbaPisma','Font Color');
    lblHTMLFarbaPozadia.Caption := Komp('FarbaPozadia','Background Color');
    lblHTMLPoznamka.Caption := Komp('Poznamka','Comment');
    lblHTMLAtribut.Caption := Komp('Atribut','Attribute');
    lblHTMLTag.Caption := Komp('Tag','Tag');
    lblHTMLSymbol.Caption := Komp('Symbol','Symbol');
    lblHTMLText.Caption := Komp('Text','Text');
    lblHTMLNeznamyTag.Caption := Komp('NeznamyTag','Unknown Tag');
    lblHTMLHodnota.Caption := Komp('Hodnota','Value');
    gpbFilterCSS.Caption := Komp('Filter','Filter');
    lblFilterCSS.Caption := Komp('FilterCSS','Use for Extensions: (e.g. css;htm)');
    gpbPismoCSS.Caption := Komp('Pismo','Font');
    lblCSSFarbaPisma.Caption := Komp('FarbaPisma','Font Color');
    lblCSSFarbaPozadia.Caption := Komp('FarbaPozadia','Background Color');
    lblCSSPoznamka.Caption := Komp('Poznamka','Comment');
    lblCSSIdentifikator.Caption := Komp('Identifikator','Identifier');
    lblCSSVlastnost.Caption := Komp('Vlastnost','Property');
    lblCSSCislo.Caption := Komp('Cislo','Number');
    lblCSSRetazecAZatvorky.Caption := Komp('RetazecAZatvorky','String and Brackets');
    gpbFilterJavaScript.Caption := Komp('Filter','Filter');
    lblFilterJavaScript.Caption := Komp('FilterJavaScript','Use for Extensions: (e.g. js;jsp)');
    gpbPismoJavaScript.Caption := Komp('Pismo','Font');
    lblJavaScriptFarbaPisma.Caption := Komp('FarbaPisma','Font Color');
    lblJavaScriptFarbaPozadia.Caption := Komp('FarbaPozadia','Background Color');
    lblJavaScriptPoznamka.Caption := Komp('Poznamka','Comment');
    lblJavaScriptFunkcieAPremenne.Caption := Komp('FunkcieAPremenne','Functions and Variables');
    lblJavaScriptKlucoveSlovo.Caption := Komp('KlucoveSlovo','Keyword');
    lblJavaScriptCislo.Caption := Komp('Cislo','Number');
    lblJavaScriptRetazec.Caption := Komp('Retazec','String');
    lblJavaScriptSymbol.Caption := Komp('Symbol','Symbol');
    gpbFilterPHP.Caption := Komp('Filter','Filter');
    lblFilterPHP.Caption := Komp('FilterPHP','Use for Extensions: (e.g. php;php4)');
    gpbPismoPHP.Caption := Komp('Pismo','Font');
    lblPHPFarbaPisma.Caption := Komp('FarbaPisma','Font Color');
    lblPHPFarbaPozadia.Caption := Komp('FarbaPozadia','Background Color');
    lblPHPPoznamka.Caption := Komp('Poznamka','Comment');
    lblPHPFunkcia.Caption := Komp('Funkcia','Function');
    lblPHPKlucoveSlovo.Caption := Komp('KlucoveSlovo','Keyword');
    lblPHPCislo.Caption := Komp('Cislo','Number');
    lblPHPRetazec.Caption := Komp('Retazec','String');
    lblPHPSymbol.Caption := Komp('Symbol','Symbol');
    lblPHPPremenna.Caption := Komp('Premenna','Variable');
    
    tbsOstatne.Caption := Komp('Ostatne','Other');
    tbsFarby.Caption := Komp('Farby','Colors');
    gpbFarbyProstredia.Caption := Komp('FarbyProstredia','Environment Colors');
    lblFarbaPozadiaOkna.Caption := Komp('FarbaPozadiaOkna','Window Background:');
    btnNastavitPovodnuFarbuOkna.Caption := Komp('NastavitPovodnuFarbuOkna','Set Original Window Color');
    tbsPrehliadace.Caption := Komp('Prehliadace','Browsers');
    gpbCestyKPrehliadacom.Caption := Komp('CestyKPrehliadacom','Browser Paths');
  end;
end;
  
