  {-------------------------------------------------------------------------}
  {--------------------- FORMULAR S NASTAVENIAMI ---------------------------}
  
{*
 * EditWebs is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EditWebs is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with EditWebs. If not, see <http://www.gnu.org/licenses/>.
 *}
  
unit nastav;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  ComCtrls, StdCtrls, SynMemo, SynHighlighterHTML, Spin, ExtCtrls, EditBtn;

type

  { TfmNastav }

  TfmNastav = class(TForm)
    btnOK: TBitBtn;
    btnZrusit: TBitBtn;
    btnPouzit: TBitBtn;
    btnNacitatPismoZDlg: TBitBtn;
    btnNastavitPovodnuFarbuOkna: TButton;
    cbPrisposobitVelkostOkraja: TCheckBox;
    cbViditelnyLavyOkraj: TCheckBox;
    cbZacatNulou: TCheckBox;
    cbZobrazitZaciatocneNuly: TCheckBox;
    chgCSSTucne: TCheckGroup;
    chgCSSKurziva: TCheckGroup;
    chgCSSPodciarknute: TCheckGroup;
    chgCSSPreskrtnute: TCheckGroup;
    chgJavaScriptTucne: TCheckGroup;
    chgHTMLPodciarknute: TCheckGroup;
    chgHTMLPreskrtnute: TCheckGroup;
    chgHTMLTucne: TCheckGroup;
    chgHTMLKurziva: TCheckGroup;
    chgJavaScriptKurziva: TCheckGroup;
    chgJavaScriptPodciarknute: TCheckGroup;
    chgJavaScriptPreskrtnute: TCheckGroup;
    chgPHPPodciarknute: TCheckGroup;
    chgPHPPreskrtnute: TCheckGroup;
    chgPHPTucne: TCheckGroup;
    chgPHPKurziva: TCheckGroup;
    clbFarbaPozadiaEditora: TColorButton;
    clbFarbaOznacenehoTextu: TColorButton;
    clbFarbaPozadiaOznacenehoTextu: TColorButton;
    clbJavaScriptPismoRetazec: TColorButton;
    clbJavaScriptPismoKlucoveSlovo: TColorButton;
    clbJavaScriptPismoCislo: TColorButton;
    clbJavaScriptPismoPoznamka: TColorButton;
    clbJavaScriptPismoFunkcieAPremenne: TColorButton;
    clbJavaScriptPismoSymbol: TColorButton;
    clbJavaScriptPozadieRetazec: TColorButton;
    clbJavaScriptPozadieKlucoveSlovo: TColorButton;
    clbJavaScriptPozadieCislo: TColorButton;
    clbJavaScriptPozadiePoznamka: TColorButton;
    clbJavaScriptPozadieFunkcieAPremenne: TColorButton;
    clbJavaScriptPozadieSymbol: TColorButton;
    clbPHPPismoRetazec: TColorButton;
    clbPHPPismoKlucoveSlovo: TColorButton;
    clbPHPPismoCislo: TColorButton;
    clbPHPPismoPoznamka: TColorButton;
    clbCSSPismoRetazecAZatvorky: TColorButton;
    clbPHPPismoFunkcia: TColorButton;
    clbPHPPismoSymbol: TColorButton;
    clbPHPPismoPremenna: TColorButton;
    clbPHPPozadieRetazec: TColorButton;
    clbPHPPozadieKlucoveSlovo: TColorButton;
    clbPHPPozadieCislo: TColorButton;
    clbPHPPozadiePoznamka: TColorButton;
    clbCSSPozadieRetazecAZatvorky: TColorButton;
    clbCSSPismoIdentifikator: TColorButton;
    clbCSSPismoVlastnost: TColorButton;
    clbCSSPismoCislo: TColorButton;
    clbCSSPozadieIdentifikator: TColorButton;
    clbCSSPozadieVlastnost: TColorButton;
    clbCSSPozadieCislo: TColorButton;
    clbFarbaLavehoOkraja: TColorButton;
    clbFarbaPravehoOkraja: TColorButton;
    clbHTMLPismoASP: TColorButton;
    clbCSSPismoPoznamka: TColorButton;
    clbHTMLPismoNeznamyTag: TColorButton;
    clbCSSPozadiePoznamka: TColorButton;
    clbHTMLPozadieNeznamyTag: TColorButton;
    clbHTMLPozadieASP: TColorButton;
    clbHTMLPozadiePoznamka: TColorButton;
    clbHTMLPozadieAtribut: TColorButton;
    clbHTMLPozadieTag: TColorButton;
    clbHTMLPozadieSymbol: TColorButton;
    clbHTMLPozadieText: TColorButton;
    clbHTMLPozadieHodnota: TColorButton;
    clbHTMLPismoPoznamka: TColorButton;
    clbHTMLPismoAtribut: TColorButton;
    clbHTMLPismoTag: TColorButton;
    clbHTMLPismoSymbol: TColorButton;
    clbHTMLPismoText: TColorButton;
    clbHTMLPismoHodnota: TColorButton;
    clbPHPPozadieFunkcia: TColorButton;
    clbPHPPozadieSymbol: TColorButton;
    clbPHPPozadiePremenna: TColorButton;
    clbFarbaTextu: TColorButton;
    clbFarbaPozadiaOkna: TColorButton;
    dlgFont: TFontDialog;
    edtFilterJavaScript: TEdit;
    edtFilterHTML: TEdit;
    edtFilterCSS: TEdit;
    edtFilterPHP: TEdit;
    fneInternetExplorer: TFileNameEdit;
    fneMozillaFirefox: TFileNameEdit;
    fneNetscape: TFileNameEdit;
    fneOpera: TFileNameEdit;
    gpbFilterCSS: TGroupBox;
    gpbFilterJavaScript: TGroupBox;
    gpbFilterPHP: TGroupBox;
    gpbVelkostHlavnehoOkna: TGroupBox;
    gpbJazykProgramu: TGroupBox;
    gpbTypPisma: TGroupBox;
    gpbNahladPisma: TGroupBox;
    gpbFarby: TGroupBox;
    gpbLavyOkraj: TGroupBox;
    gpbPravyOkraj: TGroupBox;
    gpbMedzery: TGroupBox;
    gpbFilterHTML: TGroupBox;
    gpbPismoHTML: TGroupBox;
    gpbPismoCSS: TGroupBox;
    gpbPismoPHP: TGroupBox;
    gpbPismoJavaScript: TGroupBox;
    gpbFarbyProstredia: TGroupBox;
    gpbCestyKPrehliadacom: TGroupBox;
    lblFarbaPozadiaOkna: TLabel;
    lblFarbaTextu: TLabel;
    lblFarbaPozadiaEditora: TLabel;
    lblFarbaOznacenehoTextu: TLabel;
    lblFarbaPozadiaOznacenehoTextu: TLabel;
    lblInternetExplorer: TLabel;
    lblJavaScriptCislo: TLabel;
    lblJavaScriptRetazec: TLabel;
    lblJavaScriptPoznamka: TLabel;
    lblJavaScriptFarbaPisma: TLabel;
    lblJavaScriptFarbaPozadia: TLabel;
    lblJavaScriptKurziva: TLabel;
    lblJavaScriptPodciarknute: TLabel;
    lblJavaScriptFunkcieAPremenne: TLabel;
    lblJavaScriptKlucoveSlovo: TLabel;
    lblJavaScriptPreskrtnute: TLabel;
    lblJavaScriptSymbol: TLabel;
    lblJavaScriptTucne: TLabel;
    lblFilterJavaScript: TLabel;
    lblMozillaFirefox: TLabel;
    lblNetscape: TLabel;
    lblOpera: TLabel;
    lblPHPRetazec: TLabel;
    lblPHPKlucoveSlovo: TLabel;
    lblPHPCislo: TLabel;
    lblPHPPoznamka: TLabel;
    lblPHPFarbaPisma: TLabel;
    lblPHPFarbaPozadia: TLabel;
    lblPHPKurziva: TLabel;
    lblPHPPodciarknute: TLabel;
    lblPHPFunkcia: TLabel;
    lblPHPPreskrtnute: TLabel;
    lblCSSRetazecAZatvorky: TLabel;
    lblCSSFarbaPisma: TLabel;
    lblCSSFarbaPozadia: TLabel;
    lblPHPSymbol: TLabel;
    lblPHPPremenna: TLabel;
    lblPHPTucne: TLabel;
    lblCSSVlastnost: TLabel;
    lblCSSKurziva: TLabel;
    lblCSSPoznamka: TLabel;
    lblCSSIdentifikator: TLabel;
    lblCSSCislo: TLabel;
    lblHTMLNeznamyTag: TLabel;
    lblHTMLASP: TLabel;
    lblCSSPodciarknute: TLabel;
    lblCSSPreskrtnute: TLabel;
    lblHTMLText: TLabel;
    lblHTMLTag: TLabel;
    lblHTMLPoznamka: TLabel;
    lblHTMLPodciarknute: TLabel;
    lblHTMLAtribut: TLabel;
    lblHTMLPreskrtnute: TLabel;
    lblHTMLSymbol: TLabel;
    lblHTMLHodnota: TLabel;
    lblHTMLTucne: TLabel;
    lblHTMLFarbaPisma: TLabel;
    lblHTMLFarbaPozadia: TLabel;
    lblFilterHTML: TLabel;
    lblFilterCSS: TLabel;
    lblFilterPHP: TLabel;
    lblHTMLKurziva: TLabel;
    lblCSSTucne: TLabel;
    lblMedzeryMedziRiadkami: TLabel;
    lblFarbaPravehoOkraja: TLabel;
    lblZnakyDoPravehoOkraja: TLabel;
    lblPocetCislicNaOkraji: TLabel;
    lblSirkaLavehoOkraja: TLabel;
    lblFarbaLavehoOkraja: TLabel;
    lbxJazyky: TListBox;
    pgcZvyraznovanie: TPageControl;
    pgcVzhlad: TPageControl;
    pgcEditor: TPageControl;
    pgcHlavne: TPageControl;
    pgcNastavenia: TPageControl;
    rbZobrazitCislaRiadkov: TRadioButton;
    rbNezobrazitCislaRiadkov: TRadioButton;
    rbZapamatatVelkost: TRadioButton;
    rbVzdySpustatMaximalizovane: TRadioButton;
    snmNahlad1: TSynMemo;
    sedSirkaLavehoOkraja: TSpinEdit;
    sedPocetCislicNaOkraji: TSpinEdit;
    sedZnakyDoPravehoOkraja: TSpinEdit;
    sedMedzeryMedziRiadkami: TSpinEdit;
    shlNahlad: TSynHTMLSyn;
    tbsPrehliadace: TTabSheet;
    tbsZvyraznovacJavaScript: TTabSheet;
    tbsZvyraznovacPHP: TTabSheet;
    tbsZvyraznovacCSS: TTabSheet;
    tbsZvyraznovacHTML: TTabSheet;
    tbsZvyraznovanie: TTabSheet;
    tbsOkrajeAMedzery: TTabSheet;
    tbsFarby: TTabSheet;
    tbsPismoAFarby: TTabSheet;
    tbsEditor: TTabSheet;
    tbsOstatne: TTabSheet;
    tbsJazyk: TTabSheet;
    tbsOkna: TTabSheet;
    tbsHlavne: TTabSheet;
    procedure btnNacitatPismoZDlgClick(Sender: TObject);
    procedure btnNastavitPovodnuFarbuOknaClick(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure btnPouzitClick(Sender: TObject);
    procedure btnZrusitClick(Sender: TObject);
    procedure cbViditelnyLavyOkrajChange(Sender: TObject);
    procedure clbFarbaOznacenehoTextuColorChanged(Sender: TObject);
    procedure clbFarbaPozadiaEditoraColorChanged(Sender: TObject);
    procedure clbFarbaPozadiaOznacenehoTextuColorChanged(Sender: TObject);
    procedure clbFarbaTextuColorChanged(Sender: TObject);
    procedure fmNastavClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure fmNastavCreate(Sender: TObject);
    procedure rbNezobrazitCislaRiadkovChange(Sender: TObject);
    procedure rbZobrazitCislaRiadkovChange(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

const
  KONC_JAZYK_SUBORU = '.ewl'; // NUTNE ZMENIT AJ V HLAVNE.PAS !!!!!

var
  fmNastav: TfmNastav;


implementation


{ TfmNastav }

procedure TfmNastav.btnOKClick(Sender: TObject);
begin
  Application.OnUserInput(fmNastav,2); // okno odosle informacie aj sa zavrie
  fmNastav.Hide;
end;

procedure TfmNastav.btnNacitatPismoZDlgClick(Sender: TObject);
begin
  if dlgFont.Execute then begin
    snmNahlad1.Font := dlgFont.Font;
  end;
end;

procedure TfmNastav.btnNastavitPovodnuFarbuOknaClick(Sender: TObject);
begin
  fmNastav.clbFarbaPozadiaOkna.ButtonColor := clBtnFace;
end;

procedure TfmNastav.btnPouzitClick(Sender: TObject);
begin
  Application.OnUserInput(fmNastav,1); // okno odosle informacie, ale nezavrie sa
end;

procedure TfmNastav.btnZrusitClick(Sender: TObject);
begin
  Application.OnUserInput(fmNastav,0); // okno sa zavrie, ale neodosle informacie
  fmNastav.Hide;
end;

procedure TfmNastav.cbViditelnyLavyOkrajChange(Sender: TObject);
var
  Viditelny: boolean;
begin
  Viditelny := cbViditelnyLavyOkraj.Checked;
  if Viditelny then
    lblFarbaLavehoOkraja.Font.Color := clWindowText
  else
    lblFarbaLavehoOkraja.Font.Color := clGrayText;
  clbFarbaLavehoOkraja.Enabled := Viditelny;
  rbNezobrazitCislaRiadkov.Enabled := Viditelny;
  rbZobrazitCislaRiadkov.Enabled := Viditelny;
  if Viditelny then
    lblSirkaLavehoOkraja.Font.Color := clWindowText
  else
    lblSirkaLavehoOkraja.Font.Color := clGrayText;
  sedSirkaLavehoOkraja.Enabled := Viditelny;
  if Viditelny then
    lblPocetCislicNaOkraji.Font.Color := clWindowText
  else
    lblPocetCislicNaOkraji.Font.Color := clGrayText;
  sedPocetCislicNaOkraji.Enabled := Viditelny;
  cbPrisposobitVelkostOkraja.Enabled := Viditelny;
  cbZacatNulou.Enabled := Viditelny;
  cbZobrazitZaciatocneNuly.Enabled := Viditelny;
end;

procedure TfmNastav.clbFarbaOznacenehoTextuColorChanged(Sender: TObject);
begin
  snmNahlad1.SelectedColor.Foreground := clbFarbaOznacenehoTextu.ButtonColor;
end;

procedure TfmNastav.clbFarbaPozadiaEditoraColorChanged(Sender: TObject);
begin
  snmNahlad1.Color := clbFarbaPozadiaEditora.ButtonColor;
end;

procedure TfmNastav.clbFarbaPozadiaOznacenehoTextuColorChanged(Sender: TObject);
begin
  snmNahlad1.SelectedColor.Background := clbFarbaPozadiaOznacenehoTextu.ButtonColor;
end;

procedure TfmNastav.clbFarbaTextuColorChanged(Sender: TObject);
begin
  snmNahlad1.Font.Color := clbFarbaTextu.ButtonColor;
end;

procedure TfmNastav.fmNastavClose(Sender: TObject; var CloseAction: TCloseAction
  );
begin
  Application.OnUserInput(fmNastav,0); // okno sa zavrie, ale neodosle informacie
end;

procedure TfmNastav.fmNastavCreate(Sender: TObject);
var
  VysledkyHladania: TSearchRec;
begin
  if FindFirst('lang\*'+KONC_JAZYK_SUBORU,faAnyFile,VysledkyHladania) = 0 then begin // ak bol najdeny aspon 1 jazyk. subor
    repeat
      fmNastav.lbxJazyky.Items.Add(VysledkyHladania.Name);
    until FindNext(VysledkyHladania) <> 0; // kym sa este nejaky jazyk. subor nachadza
    fmNastav.lbxJazyky.ItemIndex := 0;
  end;
end;

procedure TfmNastav.rbNezobrazitCislaRiadkovChange(Sender: TObject);
var
  Zobraz: boolean;
begin
  Zobraz := rbZobrazitCislaRiadkov.Checked;
  if not Zobraz then
    lblSirkaLavehoOkraja.Font.Color := clWindowText
  else
    lblSirkaLavehoOkraja.Font.Color := clGrayText;
  sedSirkaLavehoOkraja.Enabled := not Zobraz;
  if Zobraz then
    lblPocetCislicNaOkraji.Font.Color := clWindowText
  else
    lblPocetCislicNaOkraji.Font.Color := clGrayText;
  sedPocetCislicNaOkraji.Enabled := Zobraz;
  cbPrisposobitVelkostOkraja.Enabled := Zobraz;
  cbZacatNulou.Enabled := Zobraz;
  cbZobrazitZaciatocneNuly.Enabled := Zobraz;
end;

procedure TfmNastav.rbZobrazitCislaRiadkovChange(Sender: TObject);
begin
  rbNezobrazitCislaRiadkovChange(Sender);
end;



initialization
  {$I nastav.lrs}

end.

