  {-------------------------------------------------------------------------}
  {--------------------------- NASTAVENIA ----------------------------------}

{*
 * EditWebs is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EditWebs is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with EditWebs. If not, see <http://www.gnu.org/licenses/>.
 *}
  
  {-- otvori okno s nastaveniami --}
procedure OtvoritOknoNastavenia;
begin
  F.Enabled := false; // nove okno ostane aktivne, hlavny formular nie je povoleny
  fmNastav.Show; // ukazanie okna (vytvorene uz bolo)
end;

  {-- ulozi nastavenia zvyraznovaca --}
procedure UlozNasZvyr(atributy: TSynHighlighterAttributes;
 pismo, pozadie: TColorButton; index_stylov: byte;
 tucne, kurziva, podciarknute, preskrtnute: TCheckGroup);
begin
  atributy.Foreground := pismo.ButtonColor;
  atributy.Background := pozadie.ButtonColor;
  atributy.Style := [];
  if tucne.Checked[index_stylov] then
    atributy.Style := atributy.Style+[fsBold];
  if kurziva.Checked[index_stylov] then
    atributy.Style := atributy.Style+[fsItalic];
  if podciarknute.Checked[index_stylov] then
    atributy.Style := atributy.Style+[fsUnderline];
  if preskrtnute.Checked[index_stylov] then
    atributy.Style := atributy.Style+[fsStrikeOut];
end;

  {-- ulozi nastavenia do suboru --}
procedure UlozitNastavenia;
begin
  // hlavne a program:
  if fmNastav.lbxJazyky.ItemIndex > -1 then
    NasSub.WriteString('Hlavne','JazykProgramu',fmNastav.lbxJazyky.Items[fmNastav.lbxJazyky.ItemIndex]);
  NasSub.WriteBool('Hlavne','ZapamatatVelkost',fmNastav.rbZapamatatVelkost.Checked);
  NasSub.WriteBool('Hlavne','VzdySpustatMaximalizovane',fmNastav.rbVzdySpustatMaximalizovane.Checked);
  if NasSub.ReadBool('Hlavne','ZapamatatVelkost',fmNastav.rbZapamatatVelkost.Checked) then begin
    if F.WindowState = wsNormal then begin
      NasSub.WriteString('Program','StavOkna','Normalne');
      NasSub.WriteInteger('Program','Sirka',F.Width);
      NasSub.WriteInteger('Program','Vyska',F.Height);
      NasSub.WriteInteger('Program','Vlavo',F.Left);
      NasSub.WriteInteger('Program','Hore',F.Top);
    end;
    if F.WindowState = wsMaximized then
      NasSub.WriteString('Program','StavOkna','Maximalizovane');
  end;
  
  // editor:
  NasSub.WriteInteger('Editor','ZnakovaSada',fmNastav.dlgFont.Font.CharSet);
  NasSub.WriteInteger('Editor','VyskaPisma',fmNastav.dlgFont.Font.Height);
  NasSub.WriteString('Editor','NazovPisma',fmNastav.dlgFont.Font.Name);
  NasSub.WriteInteger('Editor','VelkostPisma',fmNastav.dlgFont.Font.Size);
  NasSub.WriteString('Editor','FarbaTextu',ColorToString(fmNastav.clbFarbaTextu.ButtonColor));
  NasSub.WriteString('Editor','FarbaPozadiaEditora',ColorToString(fmNastav.clbFarbaPozadiaEditora.ButtonColor));
  NasSub.WriteString('Editor','FarbaOznacenehoTextu',ColorToString(fmNastav.clbFarbaOznacenehoTextu.ButtonColor));
  NasSub.WriteString('Editor','FarbaPozadiaOznacenehoTextu',ColorToString(fmNastav.clbFarbaPozadiaOznacenehoTextu.ButtonColor));
  NasSub.WriteBool('Editor','ViditelnyLavyOkraj',fmNastav.cbViditelnyLavyOkraj.Checked);
  NasSub.WriteString('Editor','FarbaLavehoOkraja',ColorToString(fmNastav.clbFarbaLavehoOkraja.ButtonColor));
  NasSub.WriteBool('Editor','NezobrazitCislaRiadkov',fmNastav.rbNezobrazitCislaRiadkov.Checked);
  NasSub.WriteInteger('Editor','SirkaLavehoOkraja',fmNastav.sedSirkaLavehoOkraja.Value);
  NasSub.WriteBool('Editor','ZobrazitCislaRiadkov',fmNastav.rbZobrazitCislaRiadkov.Checked);
  NasSub.WriteInteger('Editor','PocetCiselNaOkraji',Round(fmNastav.sedPocetCislicNaOkraji.Value));
  NasSub.WriteBool('Editor','PrisposobitVelkostOkraja',fmNastav.cbPrisposobitVelkostOkraja.Checked);
  NasSub.WriteBool('Editor','ZacatNulou',fmNastav.cbZacatNulou.Checked);
  NasSub.WriteBool('Editor','ZobrazitZaciatocneNuly',fmNastav.cbZobrazitZaciatocneNuly.Checked);
  NasSub.WriteInteger('Editor','ZnakyDoPravehoOkraja',Round(fmNastav.sedZnakyDoPravehoOkraja.Value));
  NasSub.WriteString('Editor','FarbaPravehoOkraja',ColorToString(fmNastav.clbFarbaPravehoOkraja.ButtonColor));
  NasSub.WriteInteger('Editor','MedzeryMedziRiadkami',Round(fmNastav.sedMedzeryMedziRiadkami.Value));

  // zvyraznovanie html:
  NasSub.WriteString('Zvyraznovanie','FilterHTML',fmNastav.edtFilterHTML.Text);
  if fmNastav.edtFilterHTML.Text = '' then
    NasSub.WriteString('Zvyraznovanie','FilterHTML',' ');

  UlozNasZvyr(F.shlHTML.ASPAttri,
   fmNastav.clbHTMLPismoASP, fmNastav.clbHTMLPozadieASP, 0,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);

  UlozNasZvyr(F.shlHTML.CommentAttri,
   fmNastav.clbHTMLPismoPoznamka, fmNastav.clbHTMLPozadiePoznamka, 1,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);

  UlozNasZvyr(F.shlHTML.IdentifierAttri,
   fmNastav.clbHTMLPismoAtribut, fmNastav.clbHTMLPozadieAtribut, 2,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);

  UlozNasZvyr(F.shlHTML.KeyAttri,
   fmNastav.clbHTMLPismoTag, fmNastav.clbHTMLPozadieTag, 3,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);

  UlozNasZvyr(F.shlHTML.SymbolAttri,
   fmNastav.clbHTMLPismoSymbol, fmNastav.clbHTMLPozadieSymbol, 4,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);

  UlozNasZvyr(F.shlHTML.TextAttri,
   fmNastav.clbHTMLPismoText, fmNastav.clbHTMLPozadieText, 5,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);

  UlozNasZvyr(F.shlHTML.UndefKeyAttri,
   fmNastav.clbHTMLPismoNeznamyTag, fmNastav.clbHTMLPozadieNeznamyTag, 6,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);

  UlozNasZvyr(F.shlHTML.ValueAttri,
   fmNastav.clbHTMLPismoHodnota, fmNastav.clbHTMLPozadieHodnota, 7,
   fmNastav.chgHTMLTucne, fmNastav.chgHTMLKurziva,
   fmNastav.chgHTMLPodciarknute, fmNastav.chgHTMLPreskrtnute);
    
  F.shlHTML.SaveToFile('settings\html'+KONC_ZVYRAZ_SUBORU);

  // zvyraznovanie css:
  NasSub.WriteString('Zvyraznovanie','FilterCSS',fmNastav.edtFilterCSS.Text);
  if fmNastav.edtFilterCSS.Text = '' then
    NasSub.WriteString('Zvyraznovanie','FilterCSS',' ');

  UlozNasZvyr(F.shlCSS.CommentAttri,
   fmNastav.clbCSSPismoPoznamka, fmNastav.clbCSSPozadiePoznamka, 0,
   fmNastav.chgCSSTucne, fmNastav.chgCSSKurziva,
   fmNastav.chgCSSPodciarknute, fmNastav.chgCSSPreskrtnute);

  UlozNasZvyr(F.shlCSS.IdentifierAttri,
   fmNastav.clbCSSPismoIdentifikator, fmNastav.clbCSSPozadieIdentifikator, 1,
   fmNastav.chgCSSTucne, fmNastav.chgCSSKurziva,
   fmNastav.chgCSSPodciarknute, fmNastav.chgCSSPreskrtnute);

  UlozNasZvyr(F.shlCSS.KeyAttri,
   fmNastav.clbCSSPismoVlastnost, fmNastav.clbCSSPozadieVlastnost, 2,
   fmNastav.chgCSSTucne, fmNastav.chgCSSKurziva,
   fmNastav.chgCSSPodciarknute, fmNastav.chgCSSPreskrtnute);

  UlozNasZvyr(F.shlCSS.NumberAttri,
   fmNastav.clbCSSPismoCislo, fmNastav.clbCSSPozadieCislo, 3,
   fmNastav.chgCSSTucne, fmNastav.chgCSSKurziva,
   fmNastav.chgCSSPodciarknute, fmNastav.chgCSSPreskrtnute);

  F.shlCSS.StringAttri.Foreground := fmNastav.clbCSSPismoRetazecAZatvorky.ButtonColor;
  F.shlCSS.SymbolAttri.Foreground := fmNastav.clbCSSPismoRetazecAZatvorky.ButtonColor;
  F.shlCSS.StringAttri.Background := fmNastav.clbCSSPozadieRetazecAZatvorky.ButtonColor;
  F.shlCSS.SymbolAttri.Background := fmNastav.clbCSSPozadieRetazecAZatvorky.ButtonColor;
  F.shlCSS.StringAttri.Style := [];
  F.shlCSS.SymbolAttri.Style := [];
  if fmNastav.chgCSSTucne.Checked[4] then begin
    F.shlCSS.StringAttri.Style := F.shlCSS.StringAttri.Style+[fsBold];
    F.shlCSS.SymbolAttri.Style := F.shlCSS.SymbolAttri.Style+[fsBold];
  end;
  if fmNastav.chgCSSKurziva.Checked[4] then begin
    F.shlCSS.StringAttri.Style := F.shlCSS.StringAttri.Style+[fsItalic];
    F.shlCSS.SymbolAttri.Style := F.shlCSS.SymbolAttri.Style+[fsItalic];
  end;
  if fmNastav.chgCSSPodciarknute.Checked[4] then begin
    F.shlCSS.StringAttri.Style := F.shlCSS.StringAttri.Style+[fsUnderline];
    F.shlCSS.SymbolAttri.Style := F.shlCSS.SymbolAttri.Style+[fsUnderline];
  end;
  if fmNastav.chgCSSPreskrtnute.Checked[4] then begin
    F.shlCSS.StringAttri.Style := F.shlCSS.StringAttri.Style+[fsStrikeOut];
    F.shlCSS.SymbolAttri.Style := F.shlCSS.SymbolAttri.Style+[fsStrikeOut];
  end;
  
  F.shlCSS.SaveToFile('settings\css'+KONC_ZVYRAZ_SUBORU);

  // zvyraznovanie javascript:
  NasSub.WriteString('Zvyraznovanie','FilterJavaScript',fmNastav.edtFilterJavaScript.Text);
  if fmNastav.edtFilterJavaScript.Text = '' then
    NasSub.WriteString('Zvyraznovanie','FilterJavaScript',' ');

  UlozNasZvyr(F.shlJavaScript.CommentAttri,
   fmNastav.clbJavaScriptPismoPoznamka, fmNastav.clbJavaScriptPozadiePoznamka, 0,
   fmNastav.chgJavaScriptTucne, fmNastav.chgJavaScriptKurziva,
   fmNastav.chgJavaScriptPodciarknute, fmNastav.chgJavaScriptPreskrtnute);

  UlozNasZvyr(F.shlJavaScript.IdentifierAttri,
   fmNastav.clbJavaScriptPismoFunkcieAPremenne, fmNastav.clbJavaScriptPozadieFunkcieAPremenne, 1,
   fmNastav.chgJavaScriptTucne, fmNastav.chgJavaScriptKurziva,
   fmNastav.chgJavaScriptPodciarknute, fmNastav.chgJavaScriptPreskrtnute);

  UlozNasZvyr(F.shlJavaScript.KeyAttri,
   fmNastav.clbJavaScriptPismoKlucoveSlovo, fmNastav.clbJavaScriptPozadieKlucoveSlovo, 2,
   fmNastav.chgJavaScriptTucne, fmNastav.chgJavaScriptKurziva,
   fmNastav.chgJavaScriptPodciarknute, fmNastav.chgJavaScriptPreskrtnute);

  UlozNasZvyr(F.shlJavaScript.NumberAttri,
   fmNastav.clbJavaScriptPismoCislo, fmNastav.clbJavaScriptPozadieCislo, 3,
   fmNastav.chgJavaScriptTucne, fmNastav.chgJavaScriptKurziva,
   fmNastav.chgJavaScriptPodciarknute, fmNastav.chgJavaScriptPreskrtnute);

  UlozNasZvyr(F.shlJavaScript.StringAttri,
   fmNastav.clbJavaScriptPismoRetazec, fmNastav.clbJavaScriptPozadieRetazec, 4,
   fmNastav.chgJavaScriptTucne, fmNastav.chgJavaScriptKurziva,
   fmNastav.chgJavaScriptPodciarknute, fmNastav.chgJavaScriptPreskrtnute);

  UlozNasZvyr(F.shlJavaScript.SymbolAttri,
   fmNastav.clbJavaScriptPismoSymbol, fmNastav.clbJavaScriptPozadieSymbol, 5,
   fmNastav.chgJavaScriptTucne, fmNastav.chgJavaScriptKurziva,
   fmNastav.chgJavaScriptPodciarknute, fmNastav.chgJavaScriptPreskrtnute);

  F.shlJavaScript.SaveToFile('settings\javascript'+KONC_ZVYRAZ_SUBORU);
  
  // zvyraznovanie php:
  NasSub.WriteString('Zvyraznovanie','FilterPHP',fmNastav.edtFilterPHP.Text);
  if fmNastav.edtFilterPHP.Text = '' then
    NasSub.WriteString('Zvyraznovanie','FilterPHP',' ');

  UlozNasZvyr(F.shlPHP.CommentAttri,
   fmNastav.clbPHPPismoPoznamka, fmNastav.clbPHPPozadiePoznamka, 0,
   fmNastav.chgPHPTucne, fmNastav.chgPHPKurziva,
   fmNastav.chgPHPPodciarknute, fmNastav.chgPHPPreskrtnute);

  UlozNasZvyr(F.shlPHP.IdentifierAttri,
   fmNastav.clbPHPPismoFunkcia, fmNastav.clbPHPPozadieFunkcia, 1,
   fmNastav.chgPHPTucne, fmNastav.chgPHPKurziva,
   fmNastav.chgPHPPodciarknute, fmNastav.chgPHPPreskrtnute);

  UlozNasZvyr(F.shlPHP.KeyAttri,
   fmNastav.clbPHPPismoKlucoveSlovo, fmNastav.clbPHPPozadieKlucoveSlovo, 2,
   fmNastav.chgPHPTucne, fmNastav.chgPHPKurziva,
   fmNastav.chgPHPPodciarknute, fmNastav.chgPHPPreskrtnute);

  UlozNasZvyr(F.shlPHP.NumberAttri,
   fmNastav.clbPHPPismoCislo, fmNastav.clbPHPPozadieCislo, 3,
   fmNastav.chgPHPTucne, fmNastav.chgPHPKurziva,
   fmNastav.chgPHPPodciarknute, fmNastav.chgPHPPreskrtnute);

  UlozNasZvyr(F.shlPHP.StringAttri,
   fmNastav.clbPHPPismoRetazec, fmNastav.clbPHPPozadieRetazec, 4,
   fmNastav.chgPHPTucne, fmNastav.chgPHPKurziva,
   fmNastav.chgPHPPodciarknute, fmNastav.chgPHPPreskrtnute);

  UlozNasZvyr(F.shlPHP.SymbolAttri,
   fmNastav.clbPHPPismoSymbol, fmNastav.clbPHPPozadieSymbol, 5,
   fmNastav.chgPHPTucne, fmNastav.chgPHPKurziva,
   fmNastav.chgPHPPodciarknute, fmNastav.chgPHPPreskrtnute);

  UlozNasZvyr(F.shlPHP.VariableAttri,
   fmNastav.clbPHPPismoPremenna, fmNastav.clbPHPPozadiePremenna, 6,
   fmNastav.chgPHPTucne, fmNastav.chgPHPKurziva,
   fmNastav.chgPHPPodciarknute, fmNastav.chgPHPPreskrtnute);
    
  F.shlPHP.SaveToFile('settings\php'+KONC_ZVYRAZ_SUBORU);

  // ostatne:
  NasSub.WriteString('Ostatne','FarbaPozadiaOkna',ColorToString(fmNastav.clbFarbaPozadiaOkna.ButtonColor));
  NasSub.WriteString('Ostatne','InternetExplorer',fmNastav.fneInternetExplorer.FileName);
  NasSub.WriteString('Ostatne','MozillaFirefox',fmNastav.fneMozillaFirefox.FileName);
  NasSub.WriteString('Ostatne','Opera',fmNastav.fneOpera.FileName);
  NasSub.WriteString('Ostatne','Netscape',fmNastav.fneNetscape.FileName);
    
  // panely s nastrojmi:
  NasSub.WriteBool('PanelNastroje','ZobrazitHlavnyPanel',F.mnHlavnyPanelSNastrojmi.Checked);
  NasSub.WriteBool('PanelNastroje','ZobrazitPravyPanel',F.mnPravyPanel.Checked);
  NasSub.WriteInteger('PanelNastroje','AktivnaStrana',F.pgcNastroje.PageIndex);
  NasSub.WriteBool('PanelNastroje','HladatRozlisVelkost',F.cbHladatRozlisVelkost.Checked);
  NasSub.WriteBool('PanelNastroje','HladatLenCeleSlova',F.cbHladatLenCeleSlova.Checked);
  NasSub.WriteBool('PanelNastroje','PotvrditNahradenie',F.cbPotvrditNahradenie.Checked);
  NasSub.WriteBool('PanelNastroje','HladatNadol',F.rbHladatNadol.Checked);
  NasSub.WriteBool('PanelNastroje','HladatNahor',F.rbHladatNahor.Checked);
  NasSub.WriteInteger('PanelNastroje','VerziaHTML',F.cmbHTMLVerzie.ItemIndex);
  NasSub.WriteBool('PanelNastroje','HTMLVelkePismena',F.cbHTMLVelkePismena.Checked);
  NasSub.WriteInteger('PanelNastroje','VerziaCSS',F.cmbCSSVerzie.ItemIndex);
  NasSub.WriteInteger('PanelNastroje','VerziaScriptov',F.cmbScriptyVerzie.ItemIndex);
  NasSub.WriteInteger('PanelNastroje','VerziaPHP',F.cmbPHPVerzie.ItemIndex);
end;

  {-- vykona nastavenia --}
procedure VykonatNastavenia;
begin
  if fmNastav.lbxJazyky.Items.IndexOf(ExtractFileName(JazSub.FileName)) > -1 then begin
    fmNastav.lbxJazyky.ItemIndex := fmNastav.lbxJazyky.Items.IndexOf(ExtractFileName(JazSub.FileName));
  end;
  fmNastav.rbZapamatatVelkost.Checked := NasSub.ReadBool('Hlavne','ZapamatatVelkost',fmNastav.rbZapamatatVelkost.Checked);
  fmNastav.rbVzdySpustatMaximalizovane.Checked := NasSub.ReadBool('Hlavne','VzdySpustatMaximalizovane',fmNastav.rbVzdySpustatMaximalizovane.Checked);

  // editor:
  case NasSub.ReadInteger('Editor','ZnakovaSada',fmNastav.dlgFont.Font.CharSet) of 0..255:
    fmNastav.dlgFont.Font.CharSet := NasSub.ReadInteger('Editor','ZnakovaSada',fmNastav.dlgFont.Font.CharSet);
  end;
  fmNastav.dlgFont.Font.Height := NasSub.ReadInteger('Editor','VyskaPisma',fmNastav.dlgFont.Font.Height);
  fmNastav.dlgFont.Font.Name := NasSub.ReadString('Editor','NazovPisma',fmNastav.dlgFont.Font.Name);
  fmNastav.dlgFont.Font.Size := NasSub.ReadInteger('Editor','VelkostPisma',fmNastav.dlgFont.Font.Size);
  fmNastav.snmNahlad1.Font := fmNastav.dlgFont.Font;
  F.Kod.Font := fmNastav.dlgFont.Font;
  fmNastav.clbFarbaTextu.ButtonColor := StringToColor(NasSub.ReadString('Editor','FarbaTextu',ColorToString(fmNastav.clbFarbaTextu.ButtonColor)));
  fmNastav.clbFarbaPozadiaEditora.ButtonColor := StringToColor(NasSub.ReadString('Editor','FarbaPozadiaEditora',ColorToString(fmNastav.clbFarbaPozadiaEditora.ButtonColor)));
  fmNastav.clbFarbaOznacenehoTextu.ButtonColor := StringToColor(NasSub.ReadString('Editor','FarbaOznacenehoTextu',ColorToString(fmNastav.clbFarbaOznacenehoTextu.ButtonColor)));
  fmNastav.clbFarbaPozadiaOznacenehoTextu.ButtonColor := StringToColor(NasSub.ReadString('Editor','FarbaPozadiaOznacenehoTextu',ColorToString(fmNastav.clbFarbaPozadiaOznacenehoTextu.ButtonColor)));
  fmNastav.snmNahlad1.Font.Color := fmNastav.clbFarbaTextu.ButtonColor;
  fmNastav.snmNahlad1.Color := fmNastav.clbFarbaPozadiaEditora.ButtonColor;
  fmNastav.snmNahlad1.SelectedColor.Background := fmNastav.clbFarbaPozadiaOznacenehoTextu.ButtonColor;
  fmNastav.snmNahlad1.SelectedColor.Foreground := fmNastav.clbFarbaOznacenehoTextu.ButtonColor;
  F.Kod.Font.Color := fmNastav.clbFarbaTextu.ButtonColor;
  F.Kod.Color := fmNastav.clbFarbaPozadiaEditora.ButtonColor;
  F.Kod.SelectedColor.Background := fmNastav.clbFarbaPozadiaOznacenehoTextu.ButtonColor;
  F.Kod.SelectedColor.Foreground := fmNastav.clbFarbaOznacenehoTextu.ButtonColor;
  fmNastav.cbViditelnyLavyOkraj.Checked := NasSub.ReadBool('Editor','ViditelnyLavyOkraj',fmNastav.cbViditelnyLavyOkraj.Checked);
  fmNastav.clbFarbaLavehoOkraja.ButtonColor := StringToColor(NasSub.ReadString('Editor','FarbaLavehoOkraja',ColorToString(fmNastav.clbFarbaLavehoOkraja.Color)));
  fmNastav.rbNezobrazitCislaRiadkov.Checked := NasSub.ReadBool('Editor','NezobrazitCislaRiadkov',fmNastav.rbNezobrazitCislaRiadkov.Checked);
  fmNastav.sedSirkaLavehoOkraja.Value := NasSub.ReadInteger('Editor','SirkaLavehoOkraja',fmNastav.sedSirkaLavehoOkraja.Value);
  fmNastav.rbZobrazitCislaRiadkov.Checked := NasSub.ReadBool('Editor','ZobrazitCislaRiadkov',fmNastav.rbZobrazitCislaRiadkov.Checked);
  fmNastav.sedPocetCislicNaOkraji.Value := NasSub.ReadInteger('Editor','PocetCiselNaOkraji',Round(fmNastav.sedPocetCislicNaOkraji.Value));
  fmNastav.cbPrisposobitVelkostOkraja.Checked := NasSub.ReadBool('Editor','PrisposobitVelkostOkraja',fmNastav.cbPrisposobitVelkostOkraja.Checked);
  fmNastav.cbZacatNulou.Checked := NasSub.ReadBool('Editor','ZacatNulou',fmNastav.cbZacatNulou.Checked);
  fmNastav.cbZobrazitZaciatocneNuly.Checked := NasSub.ReadBool('Editor','ZobrazitZaciatocneNuly',fmNastav.cbZobrazitZaciatocneNuly.Checked);
  F.Kod.Gutter.Visible := fmNastav.cbViditelnyLavyOkraj.Checked;
  F.Kod.Gutter.Color := fmNastav.clbFarbaLavehoOkraja.ButtonColor;
  F.Kod.Gutter.ShowLineNumbers := fmNastav.rbZobrazitCislaRiadkov.Checked;
  F.Kod.Gutter.Width := fmNastav.sedSirkaLavehoOkraja.Value;
  F.Kod.Gutter.DigitCount := Round(fmNastav.sedPocetCislicNaOkraji.Value);
  F.Kod.Gutter.AutoSize := fmNastav.cbPrisposobitVelkostOkraja.Checked;
  F.Kod.Gutter.ZeroStart := fmNastav.cbZacatNulou.Checked;
  F.Kod.Gutter.LeadingZeros := fmNastav.cbZobrazitZaciatocneNuly.Checked;
  fmNastav.sedZnakyDoPravehoOkraja.Value := NasSub.ReadInteger('Editor','ZnakyDoPravehoOkraja',Round(fmNastav.sedZnakyDoPravehoOkraja.Value));
  fmNastav.clbFarbaPravehoOkraja.ButtonColor := StringToColor(NasSub.ReadString('Editor','FarbaPravehoOkraja',ColorToString(fmNastav.clbFarbaPravehoOkraja.ButtonColor)));
  F.Kod.RightEdge := Round(fmNastav.sedZnakyDoPravehoOkraja.Value);
  F.Kod.RightEdgeColor := fmNastav.clbFarbaPravehoOkraja.ButtonColor;
  fmNastav.sedMedzeryMedziRiadkami.Value := NasSub.ReadInteger('Editor','MedzeryMedziRiadkami',Round(fmNastav.sedMedzeryMedziRiadkami.Value));
  F.Kod.ExtraLineSpacing := Round(fmNastav.sedMedzeryMedziRiadkami.Value);

  // zvyraznovanie html:
  fmNastav.edtFilterHTML.Text := NasSub.ReadString('Zvyraznovanie','FilterHTML',fmNastav.edtFilterHTML.Text);
  F.shlHTML.LoadFromFile('settings\html'+KONC_ZVYRAZ_SUBORU);
  
  fmNastav.clbHTMLPismoASP.ButtonColor := F.shlHTML.ASPAttri.Foreground;
  fmNastav.clbHTMLPozadieASP.ButtonColor := F.shlHTML.ASPAttri.Background;
  fmNastav.chgHTMLTucne.Checked[0] := fsBold in F.shlHTML.ASPAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[0] := fsItalic in F.shlHTML.ASPAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[0] := fsUnderline in F.shlHTML.ASPAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[0] := fsStrikeOut in F.shlHTML.ASPAttri.Style;
  
  fmNastav.clbHTMLPismoPoznamka.ButtonColor := F.shlHTML.CommentAttri.Foreground;
  fmNastav.clbHTMLPozadiePoznamka.ButtonColor := F.shlHTML.CommentAttri.Background;
  fmNastav.chgHTMLTucne.Checked[1] := fsBold in F.shlHTML.CommentAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[1] := fsItalic in F.shlHTML.CommentAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[1] := fsUnderline in F.shlHTML.CommentAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[1] := fsStrikeOut in F.shlHTML.CommentAttri.Style;
  
  fmNastav.clbHTMLPismoAtribut.ButtonColor := F.shlHTML.IdentifierAttri.Foreground;
  fmNastav.clbHTMLPozadieAtribut.ButtonColor := F.shlHTML.IdentifierAttri.Background;
  fmNastav.chgHTMLTucne.Checked[2] := fsBold in F.shlHTML.IdentifierAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[2] := fsItalic in F.shlHTML.IdentifierAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[2] := fsUnderline in F.shlHTML.IdentifierAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[2] := fsStrikeOut in F.shlHTML.IdentifierAttri.Style;
  
  fmNastav.clbHTMLPismoTag.ButtonColor := F.shlHTML.KeyAttri.Foreground;
  fmNastav.clbHTMLPozadieTag.ButtonColor := F.shlHTML.KeyAttri.Background;
  fmNastav.chgHTMLTucne.Checked[3] := fsBold in F.shlHTML.KeyAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[3] := fsItalic in F.shlHTML.KeyAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[3] := fsUnderline in F.shlHTML.KeyAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[3] := fsStrikeOut in F.shlHTML.KeyAttri.Style;
  
  fmNastav.clbHTMLPismoSymbol.ButtonColor := F.shlHTML.SymbolAttri.Foreground;
  fmNastav.clbHTMLPozadieSymbol.ButtonColor := F.shlHTML.SymbolAttri.Background;
  fmNastav.chgHTMLTucne.Checked[4] := fsBold in F.shlHTML.SymbolAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[4] := fsItalic in F.shlHTML.SymbolAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[4] := fsUnderline in F.shlHTML.SymbolAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[4] := fsStrikeOut in F.shlHTML.SymbolAttri.Style;
  
  fmNastav.clbHTMLPismoText.ButtonColor := F.shlHTML.TextAttri.Foreground;
  fmNastav.clbHTMLPozadieText.ButtonColor := F.shlHTML.TextAttri.Background;
  fmNastav.chgHTMLTucne.Checked[5] := fsBold in F.shlHTML.TextAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[5] := fsItalic in F.shlHTML.TextAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[5] := fsUnderline in F.shlHTML.TextAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[5] := fsStrikeOut in F.shlHTML.TextAttri.Style;

  fmNastav.clbHTMLPismoNeznamyTag.ButtonColor := F.shlHTML.UndefKeyAttri.Foreground;
  fmNastav.clbHTMLPozadieNeznamyTag.ButtonColor := F.shlHTML.UndefKeyAttri.Background;
  fmNastav.chgHTMLTucne.Checked[6] := fsBold in F.shlHTML.UndefKeyAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[6] := fsItalic in F.shlHTML.UndefKeyAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[6] := fsUnderline in F.shlHTML.UndefKeyAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[6] := fsStrikeOut in F.shlHTML.UndefKeyAttri.Style;
  
  fmNastav.clbHTMLPismoHodnota.ButtonColor := F.shlHTML.ValueAttri.Foreground;
  fmNastav.clbHTMLPozadieHodnota.ButtonColor := F.shlHTML.ValueAttri.Background;
  fmNastav.chgHTMLTucne.Checked[7] := fsBold in F.shlHTML.ValueAttri.Style;
  fmNastav.chgHTMLKurziva.Checked[7] := fsItalic in F.shlHTML.ValueAttri.Style;
  fmNastav.chgHTMLPodciarknute.Checked[7] := fsUnderline in F.shlHTML.ValueAttri.Style;
  fmNastav.chgHTMLPreskrtnute.Checked[7] := fsStrikeOut in F.shlHTML.ValueAttri.Style;

  // zvyraznovanie css:
  fmNastav.edtFilterCSS.Text := NasSub.ReadString('Zvyraznovanie','FilterCSS',fmNastav.edtFilterCSS.Text);
  F.shlCSS.LoadFromFile('settings\css'+KONC_ZVYRAZ_SUBORU);

  fmNastav.clbCSSPismoPoznamka.ButtonColor := F.shlCSS.CommentAttri.Foreground;
  fmNastav.clbCSSPozadiePoznamka.ButtonColor := F.shlCSS.CommentAttri.Background;
  fmNastav.chgCSSTucne.Checked[0] := fsBold in F.shlCSS.CommentAttri.Style;
  fmNastav.chgCSSKurziva.Checked[0] := fsItalic in F.shlCSS.CommentAttri.Style;
  fmNastav.chgCSSPodciarknute.Checked[0] := fsUnderline in F.shlCSS.CommentAttri.Style;
  fmNastav.chgCSSPreskrtnute.Checked[0] := fsStrikeOut in F.shlCSS.CommentAttri.Style;

  fmNastav.clbCSSPismoIdentifikator.ButtonColor := F.shlCSS.IdentifierAttri.Foreground;
  fmNastav.clbCSSPozadieIdentifikator.ButtonColor := F.shlCSS.IdentifierAttri.Background;
  fmNastav.chgCSSTucne.Checked[1] := fsBold in F.shlCSS.IdentifierAttri.Style;
  fmNastav.chgCSSKurziva.Checked[1] := fsItalic in F.shlCSS.IdentifierAttri.Style;
  fmNastav.chgCSSPodciarknute.Checked[1] := fsUnderline in F.shlCSS.IdentifierAttri.Style;
  fmNastav.chgCSSPreskrtnute.Checked[1] := fsStrikeOut in F.shlCSS.IdentifierAttri.Style;

  fmNastav.clbCSSPismoVlastnost.ButtonColor := F.shlCSS.KeyAttri.Foreground;
  fmNastav.clbCSSPozadieVlastnost.ButtonColor := F.shlCSS.KeyAttri.Background;
  fmNastav.chgCSSTucne.Checked[2] := fsBold in F.shlCSS.KeyAttri.Style;
  fmNastav.chgCSSKurziva.Checked[2] := fsItalic in F.shlCSS.KeyAttri.Style;
  fmNastav.chgCSSPodciarknute.Checked[2] := fsUnderline in F.shlCSS.KeyAttri.Style;
  fmNastav.chgCSSPreskrtnute.Checked[2] := fsStrikeOut in F.shlCSS.KeyAttri.Style;

  fmNastav.clbCSSPismoCislo.ButtonColor := F.shlCSS.NumberAttri.Foreground;
  fmNastav.clbCSSPozadieCislo.ButtonColor := F.shlCSS.NumberAttri.Background;
  fmNastav.chgCSSTucne.Checked[3] := fsBold in F.shlCSS.NumberAttri.Style;
  fmNastav.chgCSSKurziva.Checked[3] := fsItalic in F.shlCSS.NumberAttri.Style;
  fmNastav.chgCSSPodciarknute.Checked[3] := fsUnderline in F.shlCSS.NumberAttri.Style;
  fmNastav.chgCSSPreskrtnute.Checked[3] := fsStrikeOut in F.shlCSS.NumberAttri.Style;

  fmNastav.clbCSSPismoRetazecAZatvorky.ButtonColor := F.shlCSS.StringAttri.Foreground;
  fmNastav.clbCSSPozadieRetazecAZatvorky.ButtonColor := F.shlCSS.StringAttri.Background;
  fmNastav.chgCSSTucne.Checked[4] := fsBold in F.shlCSS.StringAttri.Style;
  fmNastav.chgCSSKurziva.Checked[4] := fsItalic in F.shlCSS.StringAttri.Style;
  fmNastav.chgCSSPodciarknute.Checked[4] := fsUnderline in F.shlCSS.StringAttri.Style;
  fmNastav.chgCSSPreskrtnute.Checked[4] := fsStrikeOut in F.shlCSS.StringAttri.Style;

  // zvyraznovanie javascript:
  fmNastav.edtFilterJavaScript.Text := NasSub.ReadString('Zvyraznovanie','FilterJavaScript',fmNastav.edtFilterJavaScript.Text);
  F.shlJavaScript.LoadFromFile('settings\javascript'+KONC_ZVYRAZ_SUBORU);

  fmNastav.clbJavaScriptPismoPoznamka.ButtonColor := F.shlJavaScript.CommentAttri.Foreground;
  fmNastav.clbJavaScriptPozadiePoznamka.ButtonColor := F.shlJavaScript.CommentAttri.Background;
  fmNastav.chgJavaScriptTucne.Checked[0] := fsBold in F.shlJavaScript.CommentAttri.Style;
  fmNastav.chgJavaScriptKurziva.Checked[0] := fsItalic in F.shlJavaScript.CommentAttri.Style;
  fmNastav.chgJavaScriptPodciarknute.Checked[0] := fsUnderline in F.shlJavaScript.CommentAttri.Style;
  fmNastav.chgJavaScriptPreskrtnute.Checked[0] := fsStrikeOut in F.shlJavaScript.CommentAttri.Style;

  fmNastav.clbJavaScriptPismoFunkcieAPremenne.ButtonColor := F.shlJavaScript.IdentifierAttri.Foreground;
  fmNastav.clbJavaScriptPozadieFunkcieAPremenne.ButtonColor := F.shlJavaScript.IdentifierAttri.Background;
  fmNastav.chgJavaScriptTucne.Checked[1] := fsBold in F.shlJavaScript.IdentifierAttri.Style;
  fmNastav.chgJavaScriptKurziva.Checked[1] := fsItalic in F.shlJavaScript.IdentifierAttri.Style;
  fmNastav.chgJavaScriptPodciarknute.Checked[1] := fsUnderline in F.shlJavaScript.IdentifierAttri.Style;
  fmNastav.chgJavaScriptPreskrtnute.Checked[1] := fsStrikeOut in F.shlJavaScript.IdentifierAttri.Style;

  fmNastav.clbJavaScriptPismoKlucoveSlovo.ButtonColor := F.shlJavaScript.KeyAttri.Foreground;
  fmNastav.clbJavaScriptPozadieKlucoveSlovo.ButtonColor := F.shlJavaScript.KeyAttri.Background;
  fmNastav.chgJavaScriptTucne.Checked[2] := fsBold in F.shlJavaScript.KeyAttri.Style;
  fmNastav.chgJavaScriptKurziva.Checked[2] := fsItalic in F.shlJavaScript.KeyAttri.Style;
  fmNastav.chgJavaScriptPodciarknute.Checked[2] := fsUnderline in F.shlJavaScript.KeyAttri.Style;
  fmNastav.chgJavaScriptPreskrtnute.Checked[2] := fsStrikeOut in F.shlJavaScript.KeyAttri.Style;

  fmNastav.clbJavaScriptPismoCislo.ButtonColor := F.shlJavaScript.NumberAttri.Foreground;
  fmNastav.clbJavaScriptPozadieCislo.ButtonColor := F.shlJavaScript.NumberAttri.Background;
  fmNastav.chgJavaScriptTucne.Checked[3] := fsBold in F.shlJavaScript.NumberAttri.Style;
  fmNastav.chgJavaScriptKurziva.Checked[3] := fsItalic in F.shlJavaScript.NumberAttri.Style;
  fmNastav.chgJavaScriptPodciarknute.Checked[3] := fsUnderline in F.shlJavaScript.NumberAttri.Style;
  fmNastav.chgJavaScriptPreskrtnute.Checked[3] := fsStrikeOut in F.shlJavaScript.NumberAttri.Style;

  fmNastav.clbJavaScriptPismoRetazec.ButtonColor := F.shlJavaScript.StringAttri.Foreground;
  fmNastav.clbJavaScriptPozadieRetazec.ButtonColor := F.shlJavaScript.StringAttri.Background;
  fmNastav.chgJavaScriptTucne.Checked[4] := fsBold in F.shlJavaScript.StringAttri.Style;
  fmNastav.chgJavaScriptKurziva.Checked[4] := fsItalic in F.shlJavaScript.StringAttri.Style;
  fmNastav.chgJavaScriptPodciarknute.Checked[4] := fsUnderline in F.shlJavaScript.StringAttri.Style;
  fmNastav.chgJavaScriptPreskrtnute.Checked[4] := fsStrikeOut in F.shlJavaScript.StringAttri.Style;

  fmNastav.clbJavaScriptPismoSymbol.ButtonColor := F.shlJavaScript.SymbolAttri.Foreground;
  fmNastav.clbJavaScriptPozadieSymbol.ButtonColor := F.shlJavaScript.SymbolAttri.Background;
  fmNastav.chgJavaScriptTucne.Checked[5] := fsBold in F.shlJavaScript.SymbolAttri.Style;
  fmNastav.chgJavaScriptKurziva.Checked[5] := fsItalic in F.shlJavaScript.SymbolAttri.Style;
  fmNastav.chgJavaScriptPodciarknute.Checked[5] := fsUnderline in F.shlJavaScript.SymbolAttri.Style;
  fmNastav.chgJavaScriptPreskrtnute.Checked[5] := fsStrikeOut in F.shlJavaScript.SymbolAttri.Style;

  // zvyraznovanie php:
  fmNastav.edtFilterPHP.Text := NasSub.ReadString('Zvyraznovanie','FilterPHP',fmNastav.edtFilterPHP.Text);
  F.shlPHP.LoadFromFile('settings\php'+KONC_ZVYRAZ_SUBORU);
  
  fmNastav.clbPHPPismoPoznamka.ButtonColor := F.shlPHP.CommentAttri.Foreground;
  fmNastav.clbPHPPozadiePoznamka.ButtonColor := F.shlPHP.CommentAttri.Background;
  fmNastav.chgPHPTucne.Checked[0] := fsBold in F.shlPHP.CommentAttri.Style;
  fmNastav.chgPHPKurziva.Checked[0] := fsItalic in F.shlPHP.CommentAttri.Style;
  fmNastav.chgPHPPodciarknute.Checked[0] := fsUnderline in F.shlPHP.CommentAttri.Style;
  fmNastav.chgPHPPreskrtnute.Checked[0] := fsStrikeOut in F.shlPHP.CommentAttri.Style;

  fmNastav.clbPHPPismoFunkcia.ButtonColor := F.shlPHP.IdentifierAttri.Foreground;
  fmNastav.clbPHPPozadieFunkcia.ButtonColor := F.shlPHP.IdentifierAttri.Background;
  fmNastav.chgPHPTucne.Checked[1] := fsBold in F.shlPHP.IdentifierAttri.Style;
  fmNastav.chgPHPKurziva.Checked[1] := fsItalic in F.shlPHP.IdentifierAttri.Style;
  fmNastav.chgPHPPodciarknute.Checked[1] := fsUnderline in F.shlPHP.IdentifierAttri.Style;
  fmNastav.chgPHPPreskrtnute.Checked[1] := fsStrikeOut in F.shlPHP.IdentifierAttri.Style;

  fmNastav.clbPHPPismoKlucoveSlovo.ButtonColor := F.shlPHP.KeyAttri.Foreground;
  fmNastav.clbPHPPozadieKlucoveSlovo.ButtonColor := F.shlPHP.KeyAttri.Background;
  fmNastav.chgPHPTucne.Checked[2] := fsBold in F.shlPHP.KeyAttri.Style;
  fmNastav.chgPHPKurziva.Checked[2] := fsItalic in F.shlPHP.KeyAttri.Style;
  fmNastav.chgPHPPodciarknute.Checked[2] := fsUnderline in F.shlPHP.KeyAttri.Style;
  fmNastav.chgPHPPreskrtnute.Checked[2] := fsStrikeOut in F.shlPHP.KeyAttri.Style;

  fmNastav.clbPHPPismoCislo.ButtonColor := F.shlPHP.NumberAttri.Foreground;
  fmNastav.clbPHPPozadieCislo.ButtonColor := F.shlPHP.NumberAttri.Background;
  fmNastav.chgPHPTucne.Checked[3] := fsBold in F.shlPHP.NumberAttri.Style;
  fmNastav.chgPHPKurziva.Checked[3] := fsItalic in F.shlPHP.NumberAttri.Style;
  fmNastav.chgPHPPodciarknute.Checked[3] := fsUnderline in F.shlPHP.NumberAttri.Style;
  fmNastav.chgPHPPreskrtnute.Checked[3] := fsStrikeOut in F.shlPHP.NumberAttri.Style;

  fmNastav.clbPHPPismoRetazec.ButtonColor := F.shlPHP.StringAttri.Foreground;
  fmNastav.clbPHPPozadieRetazec.ButtonColor := F.shlPHP.StringAttri.Background;
  fmNastav.chgPHPTucne.Checked[4] := fsBold in F.shlPHP.StringAttri.Style;
  fmNastav.chgPHPKurziva.Checked[4] := fsItalic in F.shlPHP.StringAttri.Style;
  fmNastav.chgPHPPodciarknute.Checked[4] := fsUnderline in F.shlPHP.StringAttri.Style;
  fmNastav.chgPHPPreskrtnute.Checked[4] := fsStrikeOut in F.shlPHP.StringAttri.Style;

  fmNastav.clbPHPPismoSymbol.ButtonColor := F.shlPHP.SymbolAttri.Foreground;
  fmNastav.clbPHPPozadieSymbol.ButtonColor := F.shlPHP.SymbolAttri.Background;
  fmNastav.chgPHPTucne.Checked[5] := fsBold in F.shlPHP.SymbolAttri.Style;
  fmNastav.chgPHPKurziva.Checked[5] := fsItalic in F.shlPHP.SymbolAttri.Style;
  fmNastav.chgPHPPodciarknute.Checked[5] := fsUnderline in F.shlPHP.SymbolAttri.Style;
  fmNastav.chgPHPPreskrtnute.Checked[5] := fsStrikeOut in F.shlPHP.SymbolAttri.Style;

  fmNastav.clbPHPPismoPremenna.ButtonColor := F.shlPHP.VariableAttri.Foreground;
  fmNastav.clbPHPPozadiePremenna.ButtonColor := F.shlPHP.VariableAttri.Background;
  fmNastav.chgPHPTucne.Checked[6] := fsBold in F.shlPHP.VariableAttri.Style;
  fmNastav.chgPHPKurziva.Checked[6] := fsItalic in F.shlPHP.VariableAttri.Style;
  fmNastav.chgPHPPodciarknute.Checked[6] := fsUnderline in F.shlPHP.VariableAttri.Style;
  fmNastav.chgPHPPreskrtnute.Checked[6] := fsStrikeOut in F.shlPHP.VariableAttri.Style;
  
  // ostatne:
  fmNastav.clbFarbaPozadiaOkna.ButtonColor := StringToColor(NasSub.ReadString('Ostatne','FarbaPozadiaOkna',ColorToString(fmNastav.clbFarbaPozadiaOkna.ButtonColor)));
  F.Color := fmNastav.clbFarbaPozadiaOkna.ButtonColor;
  fmNastav.fneInternetExplorer.FileName := NasSub.ReadString('Ostatne','InternetExplorer',fmNastav.fneInternetExplorer.FileName);
  fmNastav.fneMozillaFirefox.FileName := NasSub.ReadString('Ostatne','MozillaFirefox',fmNastav.fneMozillaFirefox.FileName);
  fmNastav.fneOpera.FileName := NasSub.ReadString('Ostatne','Opera',fmNastav.fneOpera.FileName);
  fmNastav.fneNetscape.FileName := NasSub.ReadString('Ostatne','Netscape',fmNastav.fneNetscape.FileName);
end;

  {-- vykona nastavenia pri spusteni programu --}
procedure VykonatNastaveniaPriSpusteni;
begin
  if NasSub.ReadBool('Hlavne','ZapamatatVelkost',fmNastav.rbZapamatatVelkost.Checked) then begin
    F.Width := NasSub.ReadInteger('Program','Sirka',F.Width);
    F.Height := NasSub.ReadInteger('Program','Vyska',F.Height);
    F.Left := NasSub.ReadInteger('Program','Vlavo',F.Left);
    F.Top := NasSub.ReadInteger('Program','Hore',F.Top);
    if NasSub.ReadString('Program','StavOkna','Normalne') = 'Normalne' then
      F.WindowState := wsNormal;
    if NasSub.ReadString('Program','StavOkna','Normalne') = 'Maximalizovane' then
      F.WindowState := wsMaximized;
  end;
  if NasSub.ReadBool('Hlavne','VzdySpustatMaximalizovane',fmNastav.rbVzdySpustatMaximalizovane.Checked) then
    F.WindowState := wsMaximized;
  F.mnHlavnyPanelSNastrojmi.Checked := NasSub.ReadBool('PanelNastroje','ZobrazitHlavnyPanel',F.mnHlavnyPanelSNastrojmi.Checked);
  F.mnPravyPanel.Checked := NasSub.ReadBool('PanelNastroje','ZobrazitPravyPanel',F.mnPravyPanel.Checked);
  HlavnyPanel;
  PravyPanel;
  F.pgcNastroje.PageIndex := NasSub.ReadInteger('PanelNastroje','AktivnaStrana',F.pgcNastroje.PageIndex);
  F.cbHladatRozlisVelkost.Checked := NasSub.ReadBool('PanelNastroje','HladatRozlisVelkost',F.cbHladatRozlisVelkost.Checked);
  F.cbHladatLenCeleSlova.Checked := NasSub.ReadBool('PanelNastroje','HladatLenCeleSlova',F.cbHladatLenCeleSlova.Checked);
  F.cbPotvrditNahradenie.Checked := NasSub.ReadBool('PanelNastroje','PotvrditNahradenie',F.cbPotvrditNahradenie.Checked);
  F.rbHladatNadol.Checked := NasSub.ReadBool('PanelNastroje','HladatNadol',F.rbHladatNadol.Checked);
  F.rbHladatNahor.Checked := NasSub.ReadBool('PanelNastroje','HladatNahor',F.rbHladatNahor.Checked);
  F.cmbHTMLVerzie.ItemIndex := NasSub.ReadInteger('PanelNastroje','VerziaHTML',F.cmbHTMLVerzie.ItemIndex);
  F.cbHTMLVelkePismena.Checked := NasSub.ReadBool('PanelNastroje','HTMLVelkePismena',F.cbHTMLVelkePismena.Checked);
  F.cmbCSSVerzie.ItemIndex := NasSub.ReadInteger('PanelNastroje','VerziaCSS',F.cmbCSSVerzie.ItemIndex);
  F.cmbScriptyVerzie.ItemIndex := NasSub.ReadInteger('PanelNastroje','VerziaScriptov',F.cmbScriptyVerzie.ItemIndex);
  F.cmbPHPVerzie.ItemIndex := NasSub.ReadInteger('PanelNastroje','VerziaPHP',F.cmbPHPVerzie.ItemIndex);
  F.cmbHTMLVerzieChange(F); // priradenie HTML
  F.cmbCSSVerzieChange(F); // priradenie CSS
  F.cmbScriptyVerzieChange(F); // priradenie scriptov
  F.cmbPHPVerzieChange(F); // priradenie PHP
end;

  {-- nacita zoznam nedavnych suborov --}
procedure NacitatNedavneSubory;
var
  DocasnyText: TStringList;
begin
  DocasnyText := TStringList.Create;
  NedavneSubory.ReadSections(DocasnyText);
  if DocasnyText.Count >= 1 then begin
    F.mnOtvoritNedavny.Enabled := true;
    F.mnNedavnySubor1.Caption := DocasnyText[0];
    F.mnNedavnySubor1.Visible := true;
  end;
  if DocasnyText.Count >= 2 then begin
    F.mnNedavnySubor2.Caption := DocasnyText[1];
    F.mnNedavnySubor2.Visible := true;
  end;
  if DocasnyText.Count >= 3 then begin
    F.mnNedavnySubor3.Caption := DocasnyText[2];
    F.mnNedavnySubor3.Visible := true;
  end;
  if DocasnyText.Count >= 4 then begin
    F.mnNedavnySubor4.Caption := DocasnyText[3];
    F.mnNedavnySubor4.Visible := true;
  end;
  if DocasnyText.Count >= 5 then begin
    F.mnNedavnySubor5.Caption := DocasnyText[4];
    F.mnNedavnySubor5.Visible := true;
  end;
  if DocasnyText.Count >= 6 then begin
    F.mnNedavnySubor6.Caption := DocasnyText[5];
    F.mnNedavnySubor6.Visible := true;
  end;
  if DocasnyText.Count >= 7 then begin
    F.mnNedavnySubor7.Caption := DocasnyText[6];
    F.mnNedavnySubor7.Visible := true;
  end;
  if DocasnyText.Count >= 8 then begin
    F.mnNedavnySubor8.Caption := DocasnyText[7];
    F.mnNedavnySubor8.Visible := true;
  end;
  if DocasnyText.Count >= 9 then begin
    F.mnNedavnySubor8.Caption := DocasnyText[8];
    F.mnNedavnySubor8.Visible := true;
  end;
  if DocasnyText.Count >= 10 then begin
    F.mnNedavnySubor9.Caption := DocasnyText[9];
    F.mnNedavnySubor9.Visible := true;
  end;
end;

  {-- zapise nazvy nedavnych suborov --}
procedure ObnovitNedavneSubory;
var
  nazov_suboru: string;
  DocasnyText: TStringList;
begin
  nazov_suboru := nazvy[F.Panely.TabIndex];
  DocasnyText := TStringList.Create;
  NedavneSubory.ReadSections(DocasnyText); // do pomocneho synmema sa nacitaju nazvy sekcii
  if (DocasnyText.IndexOf(nazov_suboru) > -1) then // ak sa uz ten isty subor nachadza v zozname
    NedavneSubory.EraseSection(nazov_suboru);
  if (DocasnyText.Count >= 8) then  // ak je naplneny max. pocet poloziek
    NedavneSubory.EraseSection(F.mnNedavnySubor1.Caption);
  NedavneSubory.WriteString(nazov_suboru,' ',' '); // nazov sekcie je nazov suboru
  NacitatNedavneSubory;
end;

